//
// mainmenubutton.h
//
// button from program's main menu
//
//
// Author: Tomi Belan <tomi.belan@gmail.com>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef _mainmenubutton_h_
#define _mainmenubutton_h_

#include <SDL.h>

class MainMenu;

class MainMenuButton {
private:
  int type;
  int focusLevel;
  
  MainMenu* menu;
  int id;
  
  SDL_Surface* buf;
  
public:
  MainMenuButton(MainMenu* menu, int id);
  ~MainMenuButton();
  
  void update();
  void redraw(SDL_Surface* where);
  SDL_Rect getPosition() const;
};

#endif
